Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454061

Summary: rebuild of claws-mail needed
Product: [Fedora] Fedora Reporter: Pierre Ossman <pierre-bugzilla>
Component: claws-mailAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: alexl, horsley1953
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-08 16:01:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pierre Ossman 2008-07-04 08:15:22 UTC
Claws is holding back the upgrade of libetpan, so a rebuild is needed. Judging
from the failed builds in koji, an attempt has been made but it was half a month
ago. The libetpan upgrade was also marked as a security upgrade, so it would be
nice if this could be sorted out soon.

Comment 1 Alex Lancaster 2008-07-11 12:13:29 UTC
Still fails to build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=706584

Also still causing broken deps in rawhide:

Broken deps for i386
----------------------------------------------------------
	claws-mail-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-bogofilter-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-dillo-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-pgp-3.4.0-1.fc10.i386 requires libetpan.so.11
	claws-mail-plugins-spamassassin-3.4.0-1.fc10.i386 requires libetpan.so.11

(from http://www.redhat.com/archives/fedora-devel-list/2008-July/msg00670.html )

Comment 2 Andreas Bierfert 2008-07-11 16:57:58 UTC
Sorry for not responding. I have been busy with work... I am still not convinced
this is a claws bug but I will see to get something working this weekend.

Comment 3 Tom Horsley 2008-09-06 00:25:21 UTC
I don't know about i386, but I get the same libetpan dependency
errors when I try to install x86_64 claws-mail on my F10 alpha
boot partition.

Comment 4 Pierre Ossman 2008-09-07 20:42:20 UTC
It is really getting time to fix this. Claws is uninstallable on rawhide, and we who already have it cannot get the libetpan security fix in.

There is both a new libetpan and new claws-mail out. Have you tried compiling that pair?

Comment 5 Andreas Bierfert 2008-09-08 04:09:25 UTC
3.5.0 does not compile on rawhide because of gtk issues. This has been fixed upstream and I am currently waiting for the new release.